package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import com.chelvc.cloud.vehicle.api.constant.CategoryType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 分类更新参数
 *
 * @author Woody
 * @date 2023/5/2
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryModifyParam implements Serializable {
    /**
     * 分类名称
     */
    @NotEmpty(message = "分类名称不能为空")
    @Size(max = 50, message = "分类名称长度不能大于50")
    private String name;

    /**
     * 排序数字
     */
    @NotNull(message = "排序数字不能为空")
    @Min(value = 1, message = "排序数字不能小于1")
    private Integer sort;

    /**
     * 是否启用
     */
    @NotNull(message = "是否启用不能为空")
    private Boolean enabled;

    /**
     * 分类类型
     */
    @NotNull(message = "分类类型不能为空")
    private CategoryType type;

    /**
     * 是否推荐
     */
    @NotNull(message = "是否推荐不能为空")
    private Boolean recommend;
}
