package com.chelvc.cloud.vehicle.api.service;

import java.util.List;

import com.chelvc.cloud.vehicle.api.dto.GoodsDTO;
import com.chelvc.cloud.vehicle.api.dto.GoodsDetailDTO;
import com.chelvc.cloud.vehicle.api.param.GoodsQueryParam;

/**
 * 商品业务接口
 *
 * @author Woody
 * @date 2023/8/6
 */
public interface GoodsService {
    /**
     * 获取商品详情
     *
     * @param id 商品ID
     * @return 商品详情
     */
    GoodsDetailDTO getGoodsDetail(Long id);

    /**
     * 查询商家商品
     *
     * @param merchantId 商家ID
     * @param param      查询参数
     * @return 商品列表
     */
    List<GoodsDTO> listMerchantSimpleGoods(Long merchantId, GoodsQueryParam param);
}
