package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.api.dto.GoodsDTO;
import com.chelvc.cloud.vehicle.server.entity.Goods;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 商品信息拷贝接口
 *
 * @author Woody
 * @date 2023/8/6
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface GoodsCopier {
    /**
     * 对象拷贝接口实例
     */
    GoodsCopier INSTANCE = Mappers.getMapper(GoodsCopier.class);

    /**
     * 商品信息拷贝
     *
     * @param detail 商品详情
     * @return 商品信息
     */
    GoodsDTO copying(Goods goods);
}
